#data: patients * features
#M: numbers of basic partitions
#k&scheme: if scheme = 1, cluster number fixed on k; if scheme = 2, cluster number
# 		   chosen from 2-k
#alpha: parameter from random walk
#bipNum: two ways to choose final k see SNF sup for details
#Implementation of spectrual clustering algorithm is from SNF (Nat. Method. 2014)
#Data could find in PINS (Genome Res. 2017)
source('./RWCE.R')
source('./internal.R')
source('./spectralClustering.r')
#source('./LAML_ProcessedData.RData')
scheme=2
M=20
k = ceiling(sqrt(nrow(mydatGE)))
E1T = crEnsemble_nolabel(mydatGE, M, k, scheme)
E2T = crEnsemble_nolabel(mydatME, M, k, scheme)
E3T = crEnsemble_nolabel(mydatMI, M, k, scheme)
E1 = E1T$E
E2 = E2T$E
E3 = E3T$E
group1 = RWCE_main(E1,alpha=0.4,bipNum=1)$group
group2 = RWCE_main(E2,alpha=0.4,bipNum=1)$group
group3 = RWCE_main(E3,alpha=0.4,bipNum=1)$group
group4 = RWCE_main(E1,alpha=0.4,bipNum=2)$group
group5 = RWCE_main(E2,alpha=0.4,bipNum=2)$group
group6 = RWCE_main(E3,alpha=0.4,bipNum=2)$group
Ebind = cbind(as.matrix(group1),as.matrix(group2),as.matrix(group3),as.matrix(group4),as.matrix(group5),as.matrix(group6))
g_groupbind = RWCE_main(Ebind,alpha=0.4,bipNum=1)$group
#g_groupbind is the final result for cancer subtypes